Subject: bug#10469: closed (Re: bug#10469: 24.0.92; find-name-dired quotes characters in output)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Jan 2012 23:13:02 +0000

Your bug report

#10469: 24.0.92; find-name-dired quotes characters in output

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10469: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10469
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10469: 24.0.92; find-name-dired quotes characters in output
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 13 Jan 2012 18:11:50 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.93

Glenn Morris wrote:

> 1) C-h v dired-listing-switches says "may contain even ... `b'", yet
> dired does not seem to handle the -b option of ls:

This should be fixed now, and hence the original issue.

> emacs -Q --eval '(setq find-ls-option (cons "-exec ls -dla --dired {} +" "-al"))'

This was not relevant. Dired itself does not process --dired,
insert-directory (which is not called by find-dired) does.
And in any case, --dired will not be useful with find, since there
could be multiple DIRED sections depending on how many files are found.

Subject: 24.0.92; find-name-dired quotes characters in output
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Mon, 09 Jan 2012 22:24:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

this is on Debian Linux.

I create a directory "~/test a".

Now I run

   (find-name-dired "~" "*test*")

In the produced dired buffer, this directory is listed as "test\ a" (with
the space character quoted).

If I try to visit or find it from dired, I get this error:

  dired-get-file-for-visit: File no longer exists; type `g' to update dired buffer

This problem seems to be related to #10262.

- Michael.

In GNU Emacs 24.0.92.1 (i486-pc-linux-gnu, GTK+ Version 3.2.3)
 of 2012-01-05 on zelenka, modified by Debian
 (emacs-snapshot package, version 1:20120105-1)
Windowing system distributor `The X.Org Foundation', version 11.0.11102902
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.92/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.92/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/' '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t